<?php
//------------------------------ НОВАЯ ФУНКЦИЯ КЕШИРОВАНИЯ ------------------------------//
$filtime=filemtime(BASEDIR."local/datatmp/gazeta.dat"); /// datalj
$filtime=$filtime+0; //1-часовое индексирование 
$ttime=time();

if($ttime>=$filtime){

$ldir = opendir (BASEDIR."gazeta"); // открываем директорию library
while ($file = readdir ($ldir)) 
{if (( $file != ".") && ($file != "..") && ($file != ".htaccess") && ($file != "index.php") && ($file != "top.php") && ($file != "search.php") && ($file != "topj.php") && ($file != "lj.php") && ($file != "add.php") && ($file != "addtext.php") && ($file != "img") && ($file != "new.php")) // эти файлы игнорируем
{$la[]=$file;}}  // записываем все что есть в массив
closedir ($ldir); //Закрываем 
		

$total = count($la);  //считаем 
for ($li = 0; $li < $total; $li++){ //пускаем цикл от нуля до численности папок за исключением тех что выше
	
	
$ldir = opendir (BASEDIR."gazeta/$la[$li]"); // открываем  директорию c циклом папок
while ($file = readdir ($ldir)) 
{if (ereg(".txt$", $file)) // эти файлы игнорируем
{$la[]=$file;}}  // записываем все что есть в массив
closedir ($ldir); //Закрываем 	
}
$tot = count($la); //считаем
$libto=round($tot-$total); //вычисляем из общего счета сами папки, ведь нужны тока файлы в них



for ($li2 = 0; $li2 < $total; $li2++){ //пускаем цикл от нуля до численности папок за исключением тех что выше
	
$libdir = opendir (BASEDIR."gazeta/$la[$li2]"); // открываем  директорию c циклом папок
while ($libfile = readdir ($libdir)) 
{
$filtime=filemtime (BASEDIR."gazeta/$la[$li2]/$libfile"); 
$filtime=$filtime+(3600*24*2);  //Сколько файл считать новым сейчас уст. на 2 суток
$ttime=time();
if($filtime>=$ttime){	
if (ereg(".txt$", $libfile)) // эти файлы не игнорируем
{

$lcc[]=$libfile;	}}}  // записываем все что есть в массив
closedir ($libdir); //Закрываем 
}
$libto2 = count($lcc); //считаем


if($libto2>0){
$dtext=(int)$libto.'/+'.(int)$libto2; 
}else{
$dtext =(int)$libto;
}


$fp = fopen(BASEDIR."local/datatmp/gazeta.dat","a+");
flock ($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,$dtext);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod (BASEDIR."local/datatmp/gazeta.dat", 0666); 
}

$linput = file(BASEDIR."local/datatmp/gazeta.dat"); 
echo ' ('.$linput[0].')<br>';

	

	
	
	
	
	
	
	
	
?>